# $Revision: 1.12 $, $Date: 2012/01/29 13:13:13 $

%define		module	pyasn1

Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Name:		python-%{module}
Version:	0.1.2
Release:	1
License:	BSD-like
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pyasn1/%{module}-%{version}.tar.gz
# Source0-md5:	a7c67f5880a16a347a4d3ce445862a47
URL:		http://pyasn1.sourceforge.net/
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Obsoletes:	%{name}-examples
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES TODO doc/*
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyasn1.spec,v $
Revision 1.12  2012/01/29 13:13:13  adamg
- updated to 0.1.2

Revision 1.11  2011/07/12 15:05:34  jajcus
- Version: 0.0.13

Revision 1.10  2010/07/08 08:28:40  arekm
- release 2

Revision 1.9  2008/10/08 18:00:23  qboosh
- python 2.5 for .egg-info
- BR: pythonprov

Revision 1.8  2008/10/05 06:36:37  wiget
- updated to 0.0.8a

Revision 1.7  2008/10/03 17:56:19  arekm
- release 2

Revision 1.6  2008-02-11 15:28:27  beorn
- Up to 0.0.7a

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.3  2006/02/05 00:24:19  qboosh
- pl desc, missing dir

Revision 1.2  2006/02/03 14:30:57  spider
- adaptarized

Revision 1.1  2006/02/03 14:13:02  jajcus
- new spec, required by current python-pysnmp
